Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1601922 - nova.compute.manager DiskNotFound: No disk at /var/lib/nova/instances/
Summary: nova.compute.manager DiskNotFound: No disk at /var/lib/nova/instances/
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova
Version: 10.0 (Newton)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 10.0 (Newton)
Assignee: Lee Yarwood
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-17 13:11 UTC by Pablo Iranzo Gómez
Modified: 2019-02-26 15:35 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-25 08:25:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1771700 None None None 2018-07-17 13:15:55 UTC
OpenStack gerrit 571433 None None None 2018-07-17 13:12:56 UTC

Description Pablo Iranzo Gómez 2018-07-17 13:11:09 UTC
Description of problem:

After upgrade from OSP9 to OSP10 some computes reports tracebacks:

2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager [req-9e734b17-86a3-40a4-bc43-a01fb2f2c31e - - - - -] Error updating resources for node compute-005.citellus.org.
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager Traceback (most recent call last):
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/compute/manager.py", line 6460, in update_available_resource_for_node
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     rt.update_available_resource(context)
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/compute/resource_tracker.py", line 511, in update_available_resource
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     resources = self.driver.get_available_resource(self.nodename)
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 5567, in get_available_resource
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     disk_over_committed = self._get_disk_over_committed_size_total()
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 7160, in _get_disk_over_committed_size_total
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     block_device_info=block_device_info)
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/virt/libvirt/driver.py", line 7069, in _get_instance_disk_info
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     dk_size = disk_api.get_allocated_disk_size(path)
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/virt/disk/api.py", line 158, in get_allocated_disk_size
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     return images.qemu_img_info(path).disk_size
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager   File "/usr/lib/python2.7/site-packages/nova/virt/images.py", line 51, in qemu_img_info
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager     raise exception.DiskNotFound(location=path)
2018-07-13 13:08:55.395 48422 ERROR nova.compute.manager DiskNotFound: No disk at /var/lib/nova/instances/9eb6fdcf-3743-45a2-abfd-b4fc43fb68c1/disk



Version-Release number of selected component (if applicable):

openstack-nova-compute-14.1.0-22.el7ost.noarch


Note You need to log in before you can comment on or make changes to this bug.